# Amira Script
remove -all
remove volrenRed.col Chunk1_WienerFilter_lambda2.mat Chunk2_WienerFilter_lambda2.mat Isosurface3 Isosurface4 Voltex Voltex2

# Create viewers
viewer setVertical 0

viewer 0 setBackgroundMode 1
viewer 0 setBackgroundColor 0.0528169 0.114437 0.211268
viewer 0 setBackgroundColor2 0.299799 0.299799 0.338028
viewer 0 setTransparencyType 5
viewer 0 setAutoRedraw 0
viewer 0 show
mainWindow show

set hideNewModules 1
[ load ${AMIRA_ROOT}/data/colormaps/volrenRed.col ] setLabel volrenRed.col
volrenRed.col setIconPosition 0 0
volrenRed.col setNoRemoveAll 1
volrenRed.col fire
{volrenRed.col} setMinMax 10 200
volrenRed.col flags setValue 1
volrenRed.col shift setMinMax -1 1
volrenRed.col shift setButtons 0
volrenRed.col shift setIncrement 0.133333
volrenRed.col shift setValue 0
volrenRed.col shift setSubMinMax -1 1
volrenRed.col scale setMinMax 0 1
volrenRed.col scale setButtons 0
volrenRed.col scale setIncrement 0.1
volrenRed.col scale setValue 1
volrenRed.col scale setSubMinMax 0 1
volrenRed.col fire
volrenRed.col setViewerMask 32767

set hideNewModules 0
[ load ${SCRIPTDIR}/Chunk1_WienerFilter_lambda2.mat ] setLabel Chunk1_WienerFilter_lambda2.mat
Chunk1_WienerFilter_lambda2.mat setIconPosition 20 10
Chunk1_WienerFilter_lambda2.mat fire
Chunk1_WienerFilter_lambda2.mat fire
Chunk1_WienerFilter_lambda2.mat setViewerMask 32767

set hideNewModules 0
[ load ${SCRIPTDIR}/Chunk2_WienerFilter_lambda2.mat ] setLabel Chunk2_WienerFilter_lambda2.mat
Chunk2_WienerFilter_lambda2.mat setIconPosition 20 40
Chunk2_WienerFilter_lambda2.mat fire
Chunk2_WienerFilter_lambda2.mat fire
Chunk2_WienerFilter_lambda2.mat setViewerMask 32767

set hideNewModules 0
create HxIsosurface {Isosurface3}
Isosurface3 setIconPosition 501 10
Isosurface3 data connect Chunk1_WienerFilter_lambda2.mat
Isosurface3 colormap setDefaultColor 0 1 0.0281689
Isosurface3 colormap setDefaultAlpha 0.500000
Isosurface3 fire
Isosurface3 drawStyle setValue 1
Isosurface3 fire
Isosurface3 drawStyle setSpecularLighting 1
Isosurface3 drawStyle setTexture 0
Isosurface3 drawStyle setAlphaMode 1
Isosurface3 drawStyle setNormalBinding 1
Isosurface3 drawStyle setCullingMode 0
Isosurface3 drawStyle setSortingMode 1
Isosurface3 textureWrap setIndex 0 1
Isosurface3 threshold setMinMax -286.710632324219 276.937286376953
Isosurface3 threshold setButtons 0
Isosurface3 threshold setIncrement 37.5765
Isosurface3 threshold setValue 80
Isosurface3 threshold setSubMinMax -286.710632324219 276.937286376953
Isosurface3 options setValue 0 1
Isosurface3 options setValue 1 0
Isosurface3 resolution setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Isosurface3 resolution setValue 0 2
Isosurface3 resolution setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Isosurface3 resolution setValue 1 2
Isosurface3 resolution setMinMax 2 -1.00000001384843e+024 1.00000001384843e+024
Isosurface3 resolution setValue 2 2
Isosurface3 numberOfCores setMinMax 1 10
Isosurface3 numberOfCores setButtons 1
Isosurface3 numberOfCores setIncrement 1
Isosurface3 numberOfCores setValue 4
Isosurface3 numberOfCores setSubMinMax 1 10
{Isosurface3} doIt hit
Isosurface3 fire
Isosurface3 setViewerMask 32767
Isosurface3 setShadowStyle 0

set hideNewModules 0
create HxIsosurface {Isosurface4}
Isosurface4 setIconPosition 501 40
Isosurface4 data connect Chunk2_WienerFilter_lambda2.mat
Isosurface4 colormap setDefaultColor 1 0 0
Isosurface4 colormap setDefaultAlpha 0.500000
Isosurface4 fire
Isosurface4 drawStyle setValue 1
Isosurface4 fire
Isosurface4 drawStyle setSpecularLighting 1
Isosurface4 drawStyle setTexture 0
Isosurface4 drawStyle setAlphaMode 1
Isosurface4 drawStyle setNormalBinding 1
Isosurface4 drawStyle setCullingMode 0
Isosurface4 drawStyle setSortingMode 1
Isosurface4 textureWrap setIndex 0 1
Isosurface4 threshold setMinMax -277.510375976563 261.070465087891
Isosurface4 threshold setButtons 0
Isosurface4 threshold setIncrement 35.9054
Isosurface4 threshold setValue 70
Isosurface4 threshold setSubMinMax -277.510375976563 261.070465087891
Isosurface4 options setValue 0 1
Isosurface4 options setValue 1 0
Isosurface4 resolution setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Isosurface4 resolution setValue 0 2
Isosurface4 resolution setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Isosurface4 resolution setValue 1 2
Isosurface4 resolution setMinMax 2 -1.00000001384843e+024 1.00000001384843e+024
Isosurface4 resolution setValue 2 2
Isosurface4 numberOfCores setMinMax 1 10
Isosurface4 numberOfCores setButtons 1
Isosurface4 numberOfCores setIncrement 1
Isosurface4 numberOfCores setValue 4
Isosurface4 numberOfCores setSubMinMax 1 10
{Isosurface4} doIt hit
Isosurface4 fire
Isosurface4 setViewerMask 32767
Isosurface4 setShadowStyle 0

set hideNewModules 0
create HxVoltex {Voltex}
Voltex setIconPosition 365 1
Voltex data connect Chunk1_WienerFilter_lambda2.mat
Voltex colormap setDefaultColor 1 0.8 0.5
Voltex colormap setDefaultAlpha 0.500000
Voltex colormap connect volrenRed.col
Voltex fire
Voltex options setValue 0 0
Voltex options setValue 1 1
Voltex range setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Voltex range setValue 0 0
Voltex range setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Voltex range setValue 1 255
Voltex lookup setValue 0
Voltex gamma setMinMax 1 8
Voltex gamma setButtons 0
Voltex gamma setIncrement 0.466667
Voltex gamma setValue 3
Voltex gamma setSubMinMax 1 8
Voltex alphaScale setMinMax 0 1
Voltex alphaScale setButtons 0
Voltex alphaScale setIncrement 0.1
Voltex alphaScale setValue 1
Voltex alphaScale setSubMinMax 0 1
Voltex texture2D3D setValue 0
Voltex slices setMinMax 0 256
Voltex slices setButtons 1
Voltex slices setIncrement 1
Voltex slices setValue 25
Voltex slices setSubMinMax 0 256
Voltex downsample setMinMax 0 1 100
Voltex downsample setValue 0 1
Voltex downsample setMinMax 1 1 100
Voltex downsample setValue 1 1
Voltex downsample setMinMax 2 1 100
Voltex downsample setValue 2 1
Voltex doIt hit
Voltex fire
Voltex setViewerMask 32766
Voltex setShadowStyle 0

set hideNewModules 0
create HxVoltex {Voltex2}
Voltex2 setIconPosition 362 33
Voltex2 data connect Chunk2_WienerFilter_lambda2.mat
Voltex2 colormap setDefaultColor 1 0.8 0.5
Voltex2 colormap setDefaultAlpha 0.500000
Voltex2 colormap connect volrenRed.col
Voltex2 fire
Voltex2 options setValue 0 0
Voltex2 options setValue 1 1
Voltex2 range setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Voltex2 range setValue 0 0
Voltex2 range setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Voltex2 range setValue 1 255
Voltex2 lookup setValue 0
Voltex2 gamma setMinMax 1 8
Voltex2 gamma setButtons 0
Voltex2 gamma setIncrement 0.466667
Voltex2 gamma setValue 3
Voltex2 gamma setSubMinMax 1 8
Voltex2 alphaScale setMinMax 0 1
Voltex2 alphaScale setButtons 0
Voltex2 alphaScale setIncrement 0.1
Voltex2 alphaScale setValue 1
Voltex2 alphaScale setSubMinMax 0 1
Voltex2 texture2D3D setValue 0
Voltex2 slices setMinMax 0 256
Voltex2 slices setButtons 1
Voltex2 slices setIncrement 1
Voltex2 slices setValue 25
Voltex2 slices setSubMinMax 0 256
Voltex2 downsample setMinMax 0 1 100
Voltex2 downsample setValue 0 1
Voltex2 downsample setMinMax 1 1 100
Voltex2 downsample setValue 1 1
Voltex2 downsample setMinMax 2 1 100
Voltex2 downsample setValue 2 1
Voltex2 doIt hit
Voltex2 fire
Voltex2 setViewerMask 32766
Voltex2 select
Voltex2 setShadowStyle 0

set hideNewModules 0


viewer 0 setCameraOrientation 0.61821 -0.148364 -0.771884 3.39976
viewer 0 setCameraPosition -0.96508 1.02519 0.695851
viewer 0 setCameraFocalDistance 1.5
viewer 0 setCameraNearDistance 1.27841
viewer 0 setCameraFarDistance 1.73557
viewer 0 setCameraType orthographic
viewer 0 setCameraHeight 0.21914
viewer 0 setAutoRedraw 1
viewer 0 redraw
